* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Manrope, sans-serif;
  scroll-behavior: smooth;
}

body {
  color: var(--text-color);
  background-color: var(--primary-color);
}

.header {
  position: relative;
  height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  background: var(--overlay-color);
  background: url("../../../assets/img/static/landing/masthead.png") no-repeat
    center center/cover;
  padding: 0 20px;
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 10px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
  height: 60px;
  background-color: var(--primary-color);
  box-shadow: 2px 8px 10px 0px #8cd86733;
}

.navbar-group-1 {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo img {
  height: 40px;
}

.hamburger {
  display: none;
  cursor: pointer;
  font-size: 1.5rem;
  color: var(--text-color);
}

.nav-menu {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 100px;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 20px;
}
.nav-links li {
  flex-shrink: 0;
  flex-grow: 0;
  flex-basis: auto;
  position: relative;
}
.nav-link {
  color: black;
  text-decoration: none;
  transition: color 0.3s ease;
  font-weight: 500;
  font-size: 1rem;
  padding: 5px 10px;
  border-radius: 5px;
  width: auto;
  display: flex;
  align-items: center;
}

.nav-link:hover {
  color: var(--secondary-color);
  opacity: 0.8;
}

.dropdown {
  position: relative;
}

.dropdown-toggle {
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 4px;
}

.dropdown-toggle i {
  font-size: 0.8rem;
  transition: transform 0.3s ease;
}

.dropdown:hover .dropdown-toggle i {
  transform: rotate(180deg);
}

.dropdown-menu {
  position: absolute;
  top: 100%;
  left: 0;
  background-color: white;
  min-width: 200px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  padding: 10px 0;
  display: none;
  z-index: 101;
}

.dropdown:hover .dropdown-menu {
  display: block;
}

.dropdown-item {
  display: block;
  padding: 8px 15px;
  color: black;
  text-decoration: none;
  transition: background-color 0.3s ease;
}

.dropdown-item:hover {
  background-color: #f5f5f5;
  color: var(--secondary-color);
}

.nav-buttons {
  display: flex;
  gap: 20px;
}

.nav-buttons .btn {
  flex-shrink: 0;
  flex-grow: 0;
  flex-basis: auto;
  padding: 7px 20px;
  border-radius: 5px;
  text-decoration: none;
  color: white;
  font-weight: 600;
  background: var(--secondary-color);
  opacity: 0.9;
  transition: background 0.3s ease, transform 0.3s ease;
}

.nav-buttons .signup:hover {
  opacity: 1;
  transform: scale(1.05);
}

.nav-buttons .signin {
  background-color: transparent;
  color: var(--secondary-color);
  transition: background 0.5s ease, transform 0.7s ease;
}

.nav-buttons .signin:hover {
  font-weight: bold;
  transform: scale(1.05);
}
.main-content {
  /* Margin is height of nav to avoid overlay */
  margin-top: 60px;
}
.hero {
  padding: 0 20%;
}

.hero h1 {
  font-size: 3rem;
  font-weight: 800;
  line-height: 1.2;
  margin-bottom: 20px;
  text-align: center;
  color: var(--primary-color);
}

.hero p {
  font-size: 1.2rem;
  text-align: center;
  margin-bottom: 30px;
  color: var(--primary-color);
}

.cta-buttons {
  display: flex;
  gap: 20px;
  justify-content: center;
}

.cta-buttons .btn {
  padding: 14px 40px;
  border-radius: 5px;
  text-decoration: none;
  color: var(--primary-color);
  background: var(--secondary-color);
  transition: background 0.3s ease, transform 0.3s ease;
}

.cta-buttons .signup {
  font-weight: 700;
}

.cta-buttons .btn:hover {
  opacity: 0.8;
  transform: scale(1.05);
}

.cta-buttons .read-more {
  background-color: transparent;
  border: 1px solid var(--primary-color);
}

@media (max-width: 768px) {
  .cta-buttons .read-more {
    display: none;
  }
}

@media (max-width: 768px) {
  .logo img {
    height: 25.9px;
  }

  .hamburger {
    display: block;
  }
  .navbar-group-1 {
    width: 100%;
  }
  .nav-menu {
    position: fixed;
    top: 60px;
    right: -100%;
    width: 70%;
    height: calc(100vh - 60px);
    background: var(--primary-color);
    flex-direction: column;
    align-items: center;
    transition: right 0.3s ease-in-out;
    padding: 20px;
    overflow-y: auto;
  }

  .nav-menu.active {
    right: 0;
  }

  .nav-links {
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
  }

  .nav-link {
    padding: 10px 0;
    width: 100%;
    display: block;
  }

  .dropdown-toggle i {
    position: absolute;
    right: 9;
    top: 5;
  }

  .dropdown-menu {
    position: static;
    width: 100%;
    box-shadow: none;
    text-align: left;
    display: none;
	padding: 0;
  }

  .dropdown.active .dropdown-menu {
    display: block;
  }

  .nav-buttons {
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 0px;
    align-items: center;
  }

  .nav-buttons .btn {
    text-align: center;
  }

  .hero {
    padding: 0 12px;
  }

  .hero h1 {
    font-size: 2rem;
  }

  .hero p {
    font-size: 1rem;
  }

  .cta-buttons {
    flex-direction: row;
    gap: 15px;
  }
}
@media (max-width: 768px) {
  .cta-buttons {
    flex-direction: column;
    gap: 15px;
  }
}
